Groovy 1.7.10

## org.codehaus.groovy.ast.expr
[Java] Class SpreadExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.SpreadExpression

    public class SpreadExpression
    extends Expression

Represents a spread expression *x in the list expression [1, *x, 2].

Version:
  \$Revision: 20591 \$

Constructor Summary
`SpreadExpression(Expression expression)`

Method Summary
`Expression` | `getExpression()`
`String` | `getText()`
`ClassNode` | `getType()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### SpreadExpression

    public SpreadExpression(Expression expression)

Method Detail

### getExpression

    public Expression getExpression()

### getText

    public String getText()

### getType

    public ClassNode getType()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2010 The Codehaus. All rights reserved.